> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/observability/activity-log/contracts/list-all-accessible-contracts.md).

# List all accessible contracts

This operation is retrieving a list of contracts that your account credentials are authorized to access. This operation is primarily useful to IONOS' Resellers, as a non-reseller user account will only have access to a single contract.

```json
{"openapi":"3.0.3","info":{"title":"Activity Log Service API","version":"v1"},"tags":[{"name":"Contracts"}],"servers":[{"url":"https://api.ionos.com"}],"security":[{"Basic_Authentication":[]},{"Token_Authentication":[]}],"components":{"securitySchemes":{"Basic_Authentication":{"type":"http","description":"You will need to base64 encode the string containing your credentials. <div style=\"padding: 15px; border: 1px solid #d1ecf1; background-color: #d1ecf1; color: #0c5460; margin-bottom: 15px;\">\n  <strong>Note:</strong><br/><br/>\n   <ul><li><b>Basic Authentication</b> is supported only when <b>2-Factor \n  Authentication</b> is not configured.</li>\n  <li>Users with <b>2-Factor \n  Authentication</b> activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). \n  These tokens do not inherit the <b>2FA-secured</b> property by default.</li><li>Token deletion is only possible using the <b>Token Manager</b>.</li>\n</div> Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication\n","scheme":"basic"},"Token_Authentication":{"type":"apiKey","name":"Authorization","in":"header","description":"Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token."}},"schemas":{"ReferenceById":{"description":"Describes a reference to a specific activity log source.","type":"object","properties":{"id":{"type":"integer","format":"int64","description":"The Contract ID"},"type":{"type":"string","description":"A string indicating the type"},"href":{"type":"string","format":"uri","description":"A URL reference"}}}}},"paths":{"/activitylog/v1/contracts":{"get":{"tags":["Contracts"],"summary":"List all accessible contracts","description":"This operation is retrieving a list of contracts that your account credentials are authorized to access. This operation is primarily useful to IONOS' Resellers, as a non-reseller user account will only have access to a single contract.","operationId":"getAvailableContracts","responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReferenceById"}}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"500":{"description":"Internal Server Error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/api-reference/observability/activity-log/contracts/list-all-accessible-contracts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
